<div class="adl-review" fxLayout="column">
  <form [formGroup]="adlFormGrp">
    <mat-card class="mat-elevation-z0">
      <!-- <div fxFlexAlign="left" *ngIf="!disabelSave"> -->
      <!-- <div fxFlexAlign="left">
        <h2>Activities of Daily Living</h2>
      </div>
      <div fxLayout="column" fxFlexAlign="left" style="margin-bottom: 10px;  ">
        <label class="required-label-color" style="font-weight: bold; padding-left: 5px; ">Please Note:
          Activities of Daily Living information is an important component in the applicant's eligibility,
          referral and placement. </label>
        <label style="padding-left: 5px;">Complete the checklist for each of the activities of daily living
          skill as a result of any medical and/or mental health conditions to determine the level of support
          the applicant may need in a supportive housing program</label>
      </div> -->

      <div fxLayout="column" flex>
        <div fxLayout="row">

          <div fxFlex="15" class="colheader"><span fxFlex="100">Activity</span></div>
          <div fxFlex="60" class="colheader"><span fxFlex="100">Description</span></div>
          <div fxFlex class="colheader"><span fxFlex="100">Type of Support</span></div>
          <div *ngIf="!isDisable" fxFlex="10" class="colheader"><span fxFlex="100">Source</span></div>
        </div>
        <div fxLayout="row" fxLayoutGap="0px">

          <div fxFlex="15" class="col">
            <span class="lblstyle required-label-color">Personal Hygiene </span>
          </div>
          <div fxFlex="60" class="col2">
            <span fxFlex="100">Bathing, toileting or incontinence, washing clothes, appropriate dress for the
              weather, purchasing and using personal care products</span>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-select formControlName="personHygieneTypeCtrl" (selectionChange)="onSupportTypeChange('PH')"
                [disabled]="isDisable">
                <mat-option *ngFor="let supportType of supportTypes" [value]="supportType.refGroupDetailID">
                  {{supportType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div *ngIf="!isDisable" fxFlex="10" class="col-review">
            <span fxFlex="100" style="text-align: center;"> {{ adlReviewData.personalHygieneSourceDescription }} </span>
          </div>
        </div>

        <div fxLayout="row" *ngIf="adlReviewData.personalHygieneDetails">
          <div fxFlex="15" class="col">
            <label class="lblstyle required-label-color">Details: </label>
          </div>
          <div fxFlex class="coldetails">
            <span fxFlex="100"> {{ adlReviewData.personalHygieneDetails }} </span>
          </div>
        </div>

        <div fxLayout="row">
          <div fxFlex="15" class="col">
            <label class="lblstyle required-label-color">Travel / Mobility</label>
          </div>
          <div fxFlex="60" class="col2">
            <label>Able to follow directions and comfortable using public transport, able to climb stairs,
              walk, get around; any vision, hearing or physical challenges</label>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-select formControlName="travelMobilityTypeCtrl" (selectionChange)="onSupportTypeChange('TM')"
                [disabled]="isDisable">
                <mat-option *ngFor="let supporType of supportTypes" [value]="supporType.refGroupDetailID">
                  {{supporType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div *ngIf="!isDisable" fxFlex="10" class="col-review">
            <span fxFlex="100" style="text-align: center;"> {{ adlReviewData.travelMobilitySourceDescription }} </span>
          </div>
        </div>

        <div fxLayout="row" *ngIf="adlReviewData.travelMobilityDetails">
          <div fxFlex="15" class="col">
            <label class="lblstyle required-label-color">Details: </label>
          </div>
          <div fxFlex class="coldetails">
            <span fxFlex="100"> {{ adlReviewData.travelMobilityDetails }} </span>
          </div>
        </div>

        <div fxLayout="row">
          <div fxFlex="15" class="col">
            <label class="lblstyle required-label-color">Shopping and
              Meals Preparation</label>
          </div>
          <div fxFlex="60" class="col2">
            <label>Able to plan meals by buying or cooking food and store food properly</label>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-select formControlName="shoppingAndMealTypeCtrl" (selectionChange)="onSupportTypeChange('SM')"
                [disabled]="isDisable">
                <mat-option *ngFor="let supporType of supportTypes" [value]="supporType.refGroupDetailID">
                  {{supporType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div *ngIf="!isDisable" fxFlex="10" class="col-review">
            <span fxFlex="100" style="text-align: center;"> {{ adlReviewData.shoppingAndMealSourceDescription }} </span>
          </div>
        </div>

        <div fxLayout="row" *ngIf="adlReviewData.shoppingAndMealDetails">
          <div fxFlex="15" class="col">
            <label class="lblstyle required-label-color">Details: </label>
          </div>
          <div fxFlex class="coldetails">
            <span fxFlex="100"> {{ adlReviewData.shoppingAndMealDetails }} </span>
          </div>
        </div>


        <div fxLayout="row">
          <div fxFlex="15" class="col">
            <label class="lblstyle required-label-color">Managing Finances</label>
          </div>
          <div fxFlex="60" class="col2">
            <label>Ability to pay bills and plan for the month</label>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-select formControlName="manageFinanceTypeCtrl" (selectionChange)="onSupportTypeChange('MF')"
                [disabled]="isDisable">
                <mat-option *ngFor="let supporType of supportTypes" [value]="supporType.refGroupDetailID">
                  {{supporType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div *ngIf="!isDisable" fxFlex="10" class="col-review">
            <span fxFlex="100" style="text-align: center;"> {{ adlReviewData.managingFinancesSourceDescription }}
            </span>
          </div>
        </div>

        <div fxLayout="row" *ngIf="adlReviewData.managingFinancesDetails">
          <div fxFlex="15" class="col">
            <label class="lblstyle required-label-color">Details: </label>
          </div>
          <div fxFlex class="coldetails">
            <span fxFlex="100"> {{ adlReviewData.managingFinancesDetails }} </span>
          </div>
        </div>


        <div fxLayout="row">
          <div fxFlex="15" class="col">
            <label class="lblstyle required-label-color">Apartment/Room
              Upkeep</label>
          </div>
          <div fxFlex="60" class="col2">
            <label>Regular cleaning of space; take out garbage; no excess clutter or hoarding; notify
              maintenance of plumbing problems; understands fire safety evacuation</label>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-select formControlName="apartmentTypeCtrl" (selectionChange)="onSupportTypeChange('APT')"
                [disabled]="isDisable">
                <mat-option *ngFor="let supporType of supportTypes" [value]="supporType.refGroupDetailID">
                  {{supporType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div *ngIf="!isDisable" fxFlex="10" class="col-review">
            <span fxFlex="100" style="text-align: center;"> {{ adlReviewData.apartmentSourceDescription }} </span>
          </div>
        </div>

        <div fxLayout="row" *ngIf="adlReviewData.apartmentDetails">
          <div fxFlex="15" class="col">
            <label class="lblstyle required-label-color">Details: </label>
          </div>
          <div fxFlex class="coldetails">
            <span fxFlex="100"> {{ adlReviewData.apartmentDetails }} </span>
          </div>
        </div>


        <div fxLayout="row">
          <div fxFlex="15" class="col">
            <label class="lblstyle required-label-color">Social Skills/
              Supports</label>
          </div>
          <div fxFlex="60" class="col2">
            <label>Interacts regularly with family/other supports; does not isolate; assertive; respects the
              rights of others/neighbors</label>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-select formControlName="socialSkillsTypeCtrl" (selectionChange)="onSupportTypeChange('SK')"
                [disabled]="isDisable">
                <mat-option *ngFor="let supporType of supportTypes" [value]="supporType.refGroupDetailID">
                  {{supporType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div *ngIf="!isDisable" fxFlex="10" class="col-review">
            <span fxFlex="100" style="text-align: center;"> {{ adlReviewData.socialSkillsSourceDescription }} </span>
          </div>
        </div>

        <div fxLayout="row" *ngIf="adlReviewData.socialSkillsDetails">
          <div fxFlex="15" class="col">
            <label class="lblstyle required-label-color">Details: </label>
          </div>
          <div fxFlex class="coldetails">
            <span fxFlex="100"> {{ adlReviewData.socialSkillsDetails }} </span>
          </div>
        </div>

        <div fxLayout="row">
          <div fxFlex="15" class="col">
            <label class="lblstyle required-label-color">Manage
              Health and Behavioral Health</label>
          </div>
          <div fxFlex="60" class="col2">
            <label>Recognize health and mental health symptoms/problems; communicate health concerns to care
              providers; make and keep appointments; take medications as prescribed; relapse preventive
              awareness</label>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-select formControlName="healthAndBehavioralTypeCtrl" (selectionChange)="onSupportTypeChange('HB')"
                [disabled]="isDisable">
                <mat-option *ngFor="let supporType of supportTypes" [value]="supporType.refGroupDetailID">
                  {{supporType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div *ngIf="!isDisable" fxFlex="10" class="col-review">
            <span fxFlex="100" style="text-align: center;"> {{ adlReviewData.healthAndBehavioralSourceDescription }}
            </span>
          </div>
        </div>

        <div fxLayout="row" *ngIf="adlReviewData.healthAndBehavioralDetails">
          <div fxFlex="15" class="col">
            <label class="lblstyle required-label-color">Details: </label>
          </div>
          <div fxFlex class="coldetails">
            <span fxFlex="100"> {{ adlReviewData.healthAndBehavioralDetails }} </span>
          </div>
        </div>

        <div fxLayout="row">
          <div fxFlex="15" class="col">
            <label class="lblstyle required-label-color">Other ADL Impairments:</label>
          </div>
          <div fxFlex="60" class="coldetails">
            <span fxFlex="100"> {{ adlReviewData.otherDetails }} </span>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100" disabled>
              <mat-select formControlName="otherTypeCtrl" (selectionChange)="onSupportTypeChange('OADL')"
                [disabled]="true">
                <mat-option *ngFor="let supporType of supportTypes" [value]="supporType.refGroupDetailID">
                  {{supporType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div *ngIf="!isDisable" fxFlex="10" class="col-review">
            <span fxFlex="100" style="text-align: center;"> {{ adlReviewData.pactSourceDescription }} </span>
          </div>
        </div>
      </div>

    </mat-card>

    <mat-card class="mat-elevation-z0" *ngIf="(isCommentRequired && !isDisable)">
      <div fxLayout="row">
        <div fxFlex="10" class="col">
          <label class="lblstyle required-label-color">Explain: </label>
        </div>
        <div fxFlex class="col2-explain">
          <mat-form-field appearance="outline" fxFlex="100" class="regular-mat-form-field">
            <textarea rows="5" maxlength="2000" matInput #reviewExplainCtrl formControlName="reviewExplainCtrl"
              required></textarea>
            <mat-hint style="margin-top: 10px; margin-bottom: 10px;">(Maximum entry of 2000 characters;
              {{2000 - reviewExplainCtrl.value?.length || 0}} characters remaining)</mat-hint>
          </mat-form-field>
        </div>
      </div>
    </mat-card>

  </form>
</div>